[vectordb](../README.md) / [Exports](../modules.md) / IndexStats

# Interface: IndexStats

## Table of contents

### Properties

- [distanceType](IndexStats.md#distancetype)
- [indexType](IndexStats.md#indextype)
- [numIndexedRows](IndexStats.md#numindexedrows)
- [numIndices](IndexStats.md#numindices)
- [numUnindexedRows](IndexStats.md#numunindexedrows)

## Properties

### distanceType

• `Optional` **distanceType**: `string`

#### Defined in

[index.ts:728](https://github.com/lancedb/lancedb/blob/92179835/node/src/index.ts#L728)

___

### indexType

• **indexType**: `string`

#### Defined in

[index.ts:727](https://github.com/lancedb/lancedb/blob/92179835/node/src/index.ts#L727)

___

### numIndexedRows

• **numIndexedRows**: ``null`` \| `number`

#### Defined in

[index.ts:725](https://github.com/lancedb/lancedb/blob/92179835/node/src/index.ts#L725)

___

### numIndices

• `Optional` **numIndices**: `number`

#### Defined in

[index.ts:729](https://github.com/lancedb/lancedb/blob/92179835/node/src/index.ts#L729)

___

### numUnindexedRows

• **numUnindexedRows**: ``null`` \| `number`

#### Defined in

[index.ts:726](https://github.com/lancedb/lancedb/blob/92179835/node/src/index.ts#L726)
